
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>5.无监督学习-DBSCAN聚类算法及应用 / 憋错料</title>

    <meta name="description" content="5.无监督学习-DBSCAN聚类算法及应用 DBSCAN方法及应用 1.DBSCAN密度聚类简介 DBSCAN 算法是一种基于密度的聚类算法: 1.聚类的时候不需要预先指定簇的个数 2.最终的簇的个数不确定DBSCAN算法将数据点分为三类: 1.核心点:在半径Eps内含有超过MinPts数目的点. 2.边界点:在半径Eps内点的数量小于MinPts,但是落在核心点的邻域内的点. 3.噪音点:既不是核心点也不是边界点的点. 如下图所示:图中黄色的点为边界点,因为在半径Eps内,它领域内的点不超过MinPts个,我们这里设置的MinPts为5">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">5.无监督学习-DBSCAN聚类算法及应用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>DBSCAN方法及应用</h2>
<h3>1.DBSCAN密度聚类简介</h3>
<p>DBSCAN 算法是一种基于密度的聚类算法：<br />  　　1.聚类的时候不需要预先指定簇的个数<br />  　　2.最终的簇的个数不确定<br />DBSCAN算法将数据点分为三类：<br />  　　1.核心点：在半径Eps内含有超过MinPts数目的点。<br />  　　2.边界点：在半径Eps内点的数量小于MinPts,但是落在核心点的邻域内的点。<br />  　　3.噪音点：既不是核心点也不是边界点的点。</p>
<p>如下图所示：图中黄色的点为边界点，因为在半径Eps内，它领域内的点不超过MinPts个，我们这里设置的MinPts为5；而中间白色的点之所以为核心点，是因为它邻域内的点是超过MinPts（5）个点的，它邻域内的点就是那些黄色的点！</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQxOTQ5NDM3NTgtOTI5OTMwMDA5LnBuZw==.jpg" /></p>
<h3>2.DBSCAN算法的流程</h3>
<p>1.将所有点标记为核心点、边界点或噪声点；<br />2.删除噪声点；<br />3.为距离在Eps之内的所有核心点之间赋予一条边；<br />4.每组连通的核心点形成一个簇；<br />5.将每个边界点指派到一个与之关联的核心点的簇中（哪一个核心点的半径范围之内）。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQxOTU0NDcyNDMtMTAzNjg5OTIyNS5wbmc=.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQxOTU2NTQ4NjgtNDkyMjM4NTA2LnBuZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQxOTU5MDE2ODAtMTAzMDYyMjExNC5wbmc=.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQxOTU5NTYwNTUtMjAxMDg1ODQzMS5wbmc=.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQyMDA5MzU1MDgtNTk5MjUwNzMyLnBuZw==.jpg" /></p>
<h3>3.应用实例</h3>
<p><strong>数据介绍</strong></p>
<p>现有大学校园网的日志数据，290条大学生的校园网使用情况数据，数据包括用户ID,设备的MAC地址，IP地址，开始上网时间，停止上网时间，上网时长，校园网套餐等。利用已有数据，分析学生上网的模式。</p>
<p><strong>实验目的</strong><br />通过DBSCAN聚类，分析学生<strong>上网时间</strong>和<strong>上网时长</strong>的模式。</p>
<p><strong>技术路线</strong><br />采用：sklearn.cluster.DBSCAN 模块</p>
<p>下图为一个数据的实例展示：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQyMDQyMjg2NDktMTU3MDUyODg0MC5wbmc=.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQyMDQzMjg5NjEtMzgxNTk0MDgxLnBuZw==.jpg" /></p>
<p>通过上述上网时间的聚类分析和上网时长的聚类分析得出我们想要的同学们上网的时间和时长的分布结果！</p>
<p>1.建立工程，导入sklearn相关包<br />    　　import numpy as np<br />    　　from sklearn.cluster import DBSCAN<br />　　注意：DBSCAN主要参数：<br />      　　　　1.eps:两个样本被看作邻居节点的最大距离<br />      　　　　2.min_samples:簇的样本数<br />      　　　　3.metric:距离计算方式<br />    　　例：sklearn.cluster.DBSCAN(eps=0.5,min_samples=5,metric=‘euclidean‘) &nbsp; &nbsp; #euclidean表明我们要采用欧氏距离计算样本点的距离！</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQyMDUyMTI5MzAtMjA4MTM1NjY0MC5wbmc=.jpg" /></p>
<p>3-1.<strong>上网时间</strong>聚类，创建DBSCAN算法实例，并进行训练，获得标签：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQyMDU1MjQ2ODAtMTQ0NzM0MTIyOC5wbmc=.jpg" /></p>
<p><strong>4.输出标签，查看结果</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQyMDU4NDA1MDgtMTE1MzMwNTE2Ny5wbmc=.jpg" /></p>
<p>为了更好的展示结果，我们可以把它画成直方图的形式，便于我们分析；如下我们使用 matplotlib库中的hist函数来进行直方图的展示：</p>
<p>5.画直方图，分析实验结果：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQyMTAxNDc3NDMtMTUxNDc0MzUyMi5wbmc=.jpg" /></p>
<p><strong>6.数据分布 vs 聚类</strong></p>
<p>这里就是机器学习的一个小技巧了，左边的数据分布不适用于聚类分析的，如果我们想对这类数据进行聚类分析，需要对这些数据进行一些数学变换，通常我们采用取对数的变换方法，将这种数据变换之后，变换后的数据就比较适合用于聚类分析了；</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQyMTA1MTc1NTUtNDU2MzkxNjAxLnBuZw==.jpg" /></p>
<p>3-2.<strong>上网时长</strong>聚类，创建DBSCAN算法实例，并进行训练，获得标签：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQyMTA4MTMyNDMtMTYyMjAwOTI1NS5wbmc=.jpg" /></p>
<p>4-2.输出标签，查看结果</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzExNDcwNzMvMjAxNzA2LzExNDcwNzMtMjAxNzA2MDQyMTA5MTczOTktOTk2OTYzOTc1LnBuZw==.jpg" /></p>
<p>我们也可以看到：时长的聚类效果是不如时间的聚类效果明显的！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-09 17:28:23 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/str/" title="str">str</a>, <a href="https://www.biecuoliao.com/tag/%e6%a8%a1%e5%bc%8f/" title="模式">模式</a>, <a href="https://www.biecuoliao.com/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.biecuoliao.com/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>, <a href="https://www.biecuoliao.com/tag/%e6%b5%81%e7%a8%8b/" title="流程">流程</a>, <a href="https://www.biecuoliao.com/tag/pts/" title="pts">pts</a>, <a href="https://www.biecuoliao.com/tag/%e5%ae%9e%e9%aa%8c/" title="实验">实验</a>, <a href="https://www.biecuoliao.com/tag/%e5%b0%8f%e6%8a%80%e5%b7%a7/" title="小技巧">小技巧</a>, <a href="https://www.biecuoliao.com/tag/%e6%97%b6%e9%95%bf/" title="时长">时长</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>5.无监督学习-DBSCAN聚类算法及应用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RDjXv4.html" rel="bookmark">DBScan聚类算法原理与实现整理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				百度百科中的描述 算法描述: (1)检测数据库中尚未检查过的对象p,如果p为被处理(归为某个簇或者标记为噪声),则检查其邻域,若包含的对象数不小于minPts,建立新簇C,将其中的所有点加入候选集N: (2)对候选集N 中所有尚未被处理的对象q,检查其邻域,若至少包含minPts个对象,则将这些对象加入N:如果q 未归入任何一个簇,则将q 加入C: (3)重复步骤2),继续检查N 中未处理的对象,当前候选集N为空: (4)重复步骤1)~3),直到所有对象都归入了某个簇或标记为噪声. 伪代码: 输			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ejZ7E3.html" rel="bookmark">无监督学习之聚类2&mdash;&mdash;DBSCAN</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				根据学生月上网时间数据运用DBSCAN算法计算: #coding=utf-8 import numpy as np import sklearn.cluster as skc from sklearn import metrics import matplotlib.pyplot as plt mac2id = dict() onlinetimes = [] f = open('F:\data\TestData.txt', encoding='utf-8') for line in f: mac			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6QgRy4.html" rel="bookmark">2019-07-25【机器学习】无监督学习之聚类 K-Means算法实例 （1999年中国居民消费城市分类）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				样本 北京,2959.19,730.79,749.41,513.34,467.87,1141.82,478.42,457.64天津,2459.77,495.47,697.33,302.87,284.19,735.97,570.84,305.08河北,1495.63,515.90,362.37,285.32,272.95,540.58,364.91,188.63山西,1406.33,477.77,290.15,208.57,201.50,414.72,281.84,212.10内蒙古,1303.9			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JvgNl4.html" rel="bookmark">DBScan聚类算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				改算法可以用于实时路况的gps点的去噪,伪码如下: 输入: E: 对象半径 Minpst: 给定D中E领域以内成为核心点的最小点数 D: 集合 目标:找到多个联通的最大相互密度直接可达的点的集合 repeat: 判断点是否是核心点 记录该点的直接密度可达点 util 所有输入点完成遍历 repeat: 将该点的相互直接密度可达的点加入同一组 util 所有核心对象的领域都完成遍历 该算法的好处是: 能用于去噪 发现任意形状的聚类 不需要事先知道聚类的个数 缺陷: 需要预先定义 对象半径和最小距离			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ljweW4.html" rel="bookmark">无监督学习之聚类1&mdash;&mdash;Kmeans</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Kmeans算法分析31省市消费水平 #coding=utf-8 import numpy as np from sklearn.cluster import KMeans def loadData(filepath): fr = open(filepath, 'r+') lines = fr.readlines() retData = [] retCityName = [] for line in lines: items = line.strip().split(&quot;,&quot;)#以逗号为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xgYPNM.html" rel="bookmark">聚类算法--K-means和k-mediods&sol;密度聚类&sol;层次聚类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 简述 K-means聚类 密度聚类 层次聚类 一.简述 聚类算法是常见的无监督学习(无监督学习是在样本的标签未知的情况下,根据样本的内在规律对样本进行分类). 在监督学习中我们常根据模型的误差来衡量模型的好坏,通过优化损失函数来改善模型.而在聚类算法中是怎么来度量模型的好坏呢?聚类算法模型的性能度量大致有两类: 1)将模型结果与某个参考模型(或者称为外部指标)进行对比,个人觉得认为这种方法用的比较少 2)另一种是直接使用模型的内部属性,比如样本之间的距离(闵可夫斯基距离)来作为评判指标,这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLyaKe0.html" rel="bookmark">机器学习（6）之聚类算法（k-means&bsol;Canopy&bsol;层次聚类&bsol;谱聚类）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 1 聚类的定义 1.1 距离公式(相似度) 1.2 聚类的思想 2 K-means算法 2.1 K-means算法的思考 2.2 总结 3 二分K-Means算法 4 K-Means++算法 4.1 K-Means||算法 5 Canopy算法 5.1 应用场景 6 Mini Batch K-Means算法 7 层次聚类方法 7.1 AGNES算法中簇间距离 7.2 层次聚类优化算法 8 密度聚类 8.1 DBSCAN算法 8.1.1 基本概念 8.1.2 算法流程 8.1.3 DBSCA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bWpVp3.html" rel="bookmark">【ML-7】聚类算法--K-means和k-mediods&sol;密度聚类&sol;层次聚类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 简述 K-means聚类 密度聚类 层次聚类 一.简述 聚类算法是常见的无监督学习(无监督学习是在样本的标签未知的情况下,根据样本的内在规律对样本进行分类). 在监督学习中我们常根据模型的误差来衡量模型的好坏,通过优化损失函数来改善模型.而在聚类算法中是怎么来度量模型的好坏呢?聚类算法模型的性能度量大致有两类: 1)将模型结果与某个参考模型(或者称为外部指标)进行对比,个人觉得认为这种方法用的比较少 2)另一种是直接使用模型的内部属性,比如样本之间的距离(闵可夫斯基距离)来作为评判指标,这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZAzBZ0.html" rel="bookmark">K-Means聚类算法原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				K-Means算法是无监督的聚类算法,它实现起来比较简单,聚类效果也不错,因此应用很广泛.K-Means算法有大量的变体,本文就从最传统的K-Means算法讲起,在其基础上讲述K-Means的优化变体方法.包括初始化优化K-Means++, 距离计算优化elkan K-Means算法和大数据情况下的优化Mini Batch K-Means算法. 1. K-Means原理初探 K-Means算法的思想很简单,对于给定的样本集,按照样本之间的距离大小,将样本集划分为K个簇.让簇内的点尽量紧密的连在一			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/D3O5B8M.html" rel="bookmark" class="title">iOS-基础知识-UITableViewController的常用属性</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNNo63.html" rel="bookmark" class="title">迁移ASM故障磁盘组数据库到新磁盘组</a>
					<div>
						由于原有磁盘组使用的是NORMAL冗余方式.剩余的空间只有3G.数据库空间为200G.ASM磁盘组空间不足以存放数据库.而且新增的磁盘只有一块300G的盘.为避免磁盘REBALANCE出现异常.因此将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0byXeVM.html" rel="bookmark" class="title">iOS CALayer视图图层</a>
					<div>
						在iOS中都会牵扯到图形转换,动画效果,添加视图,等等的一系列问题,在设计页面,设计图形,添加动画的时候都会使用到这个知识. 简单的说他就是视图的图层,但又不是视图,因为视图可以和用户交互,添加响应事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/412LaOM.html" rel="bookmark" class="title">Core Graphics快速入门&mdash;&mdash;从一行代码说起</a>
					<div>
						Core Graphics入门 想必每个第一次接触Core Graphics的开发者都被无数的API.混乱的代码逻辑折腾得头疼不已,甚至望而却步.即使是绘制一个简单的矩形也看上去非常繁琐.本文换一个角 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lXodP0.html" rel="bookmark" class="title">谢烟客---------Linux之内核编译及LFS制作</a>
					<div>
						内核组成.内核优化.内核编译步骤:开发环境.硬件信息.展开到源码树.内存特性设定.编译 屏幕:在一个终端上,为多个进程,开启多个使用接口. 何谓交叉编译:目标代码非当前平台 有10天没有学习了,去做了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0awa1Q4.html" rel="bookmark" class="title">&lbrack;android&rsqb; 手机卫士界面切换动画</a>
					<div>
						在/res/anim/ 建立文件tran_out.xml 添加&lt;translate&gt;节点 设置x轴来源坐标android:fromXDelta=”0” 设置x轴目的坐标android:to ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLWDwO4.html" rel="bookmark" class="title">Python爬虫爬取豆瓣电影名称和链接，分别存入txt，excel和数据库</a>
					<div>
						前提条件是python操作excel和数据库的环境配置是完整的,这个需要在python中安装导入相关依赖包: 实现的具体代码如下: #!/usr/bin/python# -*- coding: utf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l52jP3.html" rel="bookmark" class="title">java ArrayList的序列化分析</a>
					<div>
						一.绪论 所谓的JAVA序列化与反序列化,序列化就是将JAVA 对象以一种的形式保持,比如存放到硬盘,或是用于传输.反序列化是序列化的一个逆过程. JAVA规定被序列化的对象必须实现java.io.S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vZGwR3.html" rel="bookmark" class="title">1&period;16</a>
					<div>
						kali安装http://www.pw88.com/teach/linux/191.html Ubuntu上安装Kali Linux的工具http://www.linuxidc.com/Linux/2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OD9Eg4.html" rel="bookmark" class="title">ServiceStack 4&period;0 新增功能概述 ServiceStack&period;Text 4&period;0</a>
					<div>
						在某一个地方,发现了一个ServiceStack的文件上传和图片处理示例项目,这个项目的位置是:https://github.com/ServiceStackApps/Imgur,  在线演示的地址: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pQjWxM.html" rel="bookmark" class="title">HDU1326&lowbar;Box of Bricks【水题】</a>
					<div>
						Box of Bricks Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others) To ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLZmZQ3.html" rel="bookmark" class="title">零基础学WEB前端-CSS</a>
					<div>
						CSS指层叠样式表(Cascading Style Sheets),CSS 是标准的布局语言,用来控制元素的尺寸.颜色.排版.CSS 由 W3C 发明,用来取代基于表格的布局.框架以及其他非标准的表现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLZ7Dv3.html" rel="bookmark" class="title">ie7兼容after、before的方法</a>
					<div>
						1.第一个步骤http://jquery.lukelutman.com/plugins/pseudo/ 下载 jq-pseudo.js 下载好了,就引入jQuery和jq-pseudo.js 2.书写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pPxXx4.html" rel="bookmark" class="title">URL模式</a>
					<div>
						URL模式 URL_MODEL设置 示例 普通模式 0 http://localhost/?m=home&amp;c=user&amp;a=login&amp;var=value PATHINFO模式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEWdJ13.html" rel="bookmark" class="title">POJ 1155 TELE （树形DP，树形背包）</a>
					<div>
						题意:给定一棵树,n个节点,其中有m个叶子表示的是用户,其他点表示中转器, 每条边都有权值,每个用户i愿意给的钱w[i],问如果在不亏钱的情况下能为多少用户转播足球比赛? 思路: 其实就是要选出部分叶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41D28o3.html" rel="bookmark" class="title">flume 日志搬家下半场</a>
					<div>
						续上面 获得资源后我们要将转换为相应的日志,落在统一的服务器中. 在flume中的对file操作的sink只有RollingFileSink但这个对我们来一点用都没有, package com.ule ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyBkXj0.html" rel="bookmark" class="title">python selenium  --browser 操作</a>
					<div>
						本节知识点: 打印URL 将浏览器最大化 设置浏览器固定宽.高 操控浏览器前进.后退 打印URL 上一节讲到,可以将浏览器的title打印出来,这里再讲个简单的,把当前URL打印出来.其实也没啥大用, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KjmerM.html" rel="bookmark" class="title">设计模式（十）：模板方法模式</a>
					<div>
						一.概述 模板方法模式在一个方法中定义一个算法的骨架,而将一些步骤延迟到子类中.模板方法使得子类可以在不改变算法结构的情况下,重新定义算法中的某些步骤. 二.结构类图 三.解决问题 模板方法就是提供一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVQERj4.html" rel="bookmark" class="title">centos7安装配置cacti</a>
					<div>
						第一步:(cacti的安装) yum install net-snmp net-snmp-utils yum install cacti vi /etc/snmp/snmpd.conf com2sec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k6lOjM.html" rel="bookmark" class="title">使用内存映射文件进行EXE、DLL通信&lpar;非MFC&rpar;</a>
					<div>
						想做EXE.DLL通信,网上说的比较多的是WM_COPYDATA消息,发现需要在添加消息映射比较麻烦,而且网上几乎都是MFC的代码,想用的是控制台代码. 就想到了用内存映射文件.EXE发数据给DLL. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
